# Class ThreadInfoReport

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.osgi.framework.util.ThreadInfoReport

All Implemented Interfaces:
  `Serializable`

public class ThreadInfoReport extends RuntimeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ThreadInfoReport(String failedMonitor)`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getThreadDump(String failedMonitor)`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ThreadInfoReport

public ThreadInfoReport(String failedMonitor)

## Method Details

### getThreadDump

public static String getThreadDump(String failedMonitor)